%define iname guile
%define sversion 1.4

Summary:	A GNU implementation of Scheme for application extensibility.
Name:		%{iname}14
Version:	%sversion.1.94
Release:	alt2
Serial:		1
License:	GPL
Group:		Development/Other
Obsoletes:	%iname <= 1.4.1
Provides:	%iname = %serial:%version-%release
Provides:	/usr/bin/guile

Packager:	Alexey Voinov <voins@altlinux.ru>

Source0:	http://www.glug.org/alt/%iname-%version.tar.bz2
Source1:	%name.alternatives

Patch0:		%iname-1.4.1.94-alt-make.patch
Patch1:		%iname-1.4.1.94-alt-config.patch


BuildPreReq:	libtool_1.4

# Automatically added by buildreq on Mon Oct 13 2003
BuildRequires: glibc-devel-static libalternatives-devel libltdl-devel libncurses-devel libreadline-devel librx-devel

%description
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install the guile package if you'd like to add extensibility to programs
that you are developing.  You'll also need to install the guile-devel
package.

%package devel
Summary:	A GNU implementation of Scheme for application extensibility.
Group:		Development/Other
Requires:	%name = %serial:%version-%release
Obsoletes:	%iname-devel <= 1.4.1
Provides:	%iname-devel = %serial:%version-%release
Conflicts:	guile16-devel

%description devel
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install this package if you are going to develop extendable programs.

%package devel-static
Summary:	A GNU implementation of Scheme for application extensibility.
Group:		Development/Other
Requires:	%name-devel = %serial:%version-%release
Obsoletes:	%iname-devel-static <= 1.4.1
Provides:	%iname-devel-static = %serial:%version-%release

%description devel-static
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install this package if you need to statically link your program with guile.

%prep
%setup -q -n %iname-%version
%patch0 -p1
%patch1 -p1

%build
#%%set_libtool_version 1.4
libtoolize --force --copy
aclocal
automake
autoconf
%configure --enable-coop-threads
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_altdir/%name
mv $RPM_BUILD_ROOT%_bindir/%iname $RPM_BUILD_ROOT%_bindir/%name

%post
%register_alternatives %name -- %iname

%preun
%unregister_alternatives %name

%post devel
%install_info guile.info r5rs.info

%preun devel
%uninstall_info guile.info r5rs.info

%files
%_bindir/%name
%dir %_datadir/%iname
%dir %_datadir/%iname/%version
%_libdir/lib%iname.so.*
%_libdir/%iname/%version/modules/*.so.*
%_libdir/%iname/%version/modules/*.so
%_datadir/%iname/%version/*
%_altdir/%name

%files devel
%_bindir/%iname-snarf
%_bindir/%iname-config
%_bindir/%iname-tools
%_libdir/lib%iname.so
%_includedir/%iname/
%_includedir/lib%iname/
%_includedir/lib%iname.h
%_datadir/aclocal/*
%_datadir/info/*.info*

%files devel-static
%_libdir/lib%iname.a
%_libdir/%iname/%version/modules/*.a


%changelog
* Tue Dec 02 2003 Alexey Voinov <voins@altlinux.ru> 1:1.4.1.94-alt2
- rebuild without *.la
- fix configure.in

* Mon Oct 13 2003 Alexey Voinov <voins@altlinux.ru> 1:1.4.1.94-alt1
- new version (1.4.1.94)
- buildreq fixed
- libtool version set to 1.4


* Sun Jun 01 2003 Alexey Voinov <voins@voins.program.ru> 1:1.4.1.93-alt2
- threads support enabled.

* Thu May 08 2003 Alexey Voinov <voins@voins.program.ru> 1:1.4.1.93-alt1
- new version
- support for alternatives, to live with guile-1.6.x
- devel-static created.

* Mon Oct 21 2002 AEN <aen@altlinux.ru> 1:1.4-alt1
- Serial : 1

* Thu May 31 2001 AEN <aen@logic.ru> 1.4-ipl9mdk
- rebuild with new umb-schene package
- requires on new umb-scheme

* Fri Jan 05 2001 AEN <aen@logic.ru>
- adopted for RE

* Wed Nov 15 2000 Egil Moeller <redhog@mandrakesoft.com> 1.4-7mdk
- Bugworkaround around the flawed Makefile.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-6mdk
- ooops wrong info file name.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-5mdk
- finalized BM (Thanks Stefan).

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-4mdk
- removed menu entry.
- added a depency for guile-devel on guile with the same release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 1.4-2mdk
- add provides libguile.so.6

* Tue Jul 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-1mdk
- 1.4

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.4-3mdk
- fix group

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- provides libguile.so.[15].

* Fri Nov 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.3.4

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added macro %%{guilever} as apckage version is 1.3.2a but
  for paths, etc. it remains 1.2.3
- corrected %files section (some libs weren't included)

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- -1.3.2a

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Mar 17 1999 Michael Johnson <johnsonm@redhat.com>
- added .ansi patch to fix #endif

* Wed Feb 10 1999 Cristian Gafton <gafton@redhat.com>
- add patch for the scm stuff

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- integrate changes from rhcn version (#640)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize first to get it to compile on the arm

* Sat Jan  9 1999 Todd Larason <jtl@molehill.org>
- Added "Requires: guile" at suggestion of Manu Rouat <emmanuel.rouat@wanadoo.fr>

* Fri Jan  1 1999 Todd Larason <jtl@molehill.org>
- guile-devel does depend on guile
- remove devel dependancy on m4
- move guile-snarf from guile to guile-devel
- Converted to rhcn

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3.
- don't strip libguile.so.*.0.0. (but set the execute bits).

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- Updated for RH 5.2

* Mon Jan 26 1998 Marc Ewing <marc@redhat.com>
- Started with spec from Tomasz Koczko <kloczek@idk.com.pl>
- added slib link

* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>          (1.2-3)
- added %attr(-, root, root) for %doc, 
- in %post, %postun ldconfig runed as parameter "-p",
- removed /bin/sh from requires,
- added %description,
- changes in %files.

* Fri Jul 11 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>  (1.2-2)
- all rewrited for using Buildroot,
- added %postun,
- removed making buid logs,
- removed "--inclededir", added "--enable-dynamic-linking" to configure
  parameters,
- added striping shared libs and /usr/bin/guile,
- added "Requires: /bin/sh" (for guile-snarf) in guile package and
  "Requires: m4" for guile-devel,
- added macro %{PACKAGE_VERSION} in "Source:" and %files,
- added %attr macros in %files.
